# -*- coding: utf-8 -*-
from openerp.http import request

_MODEL = 'stock.picking'

def pick_assign(sale_order_id, picking_done=True):
    sale_order = request.env['sale.order'].browse(sale_order_id)

    for picking in sale_order.picking_ids:
        picking.force_assign()
        if picking_done:
            picking.action_done()

def get_pickings():
    sale_orders = request.env['sale.order'].search([('from_pos', '=', True)])
    sale_orders = sale_orders.mapped(lambda x: x.name)

    return [
        {
            'id': sp.id,
            'name': sp.display_name,
            'origin': sp.origin
        } for sp in request.env[_MODEL].search([
            ('origin', 'in', sale_orders),
            ('state', '=', 'assigned')
        ])
    ]
